-- Version: CockroachDB CCL v22.2.0-alpha.3-1157-gf4c557c096 (x86_64-pc-linux-gnu, built 2022/10/21 16:57:59, go1.19.1)

-- allow_prepare_as_opt_plan has the default value: off
-- cost_scans_with_default_col_size has the default value: off
-- datestyle has the default value: ISO, MDY
-- default_int_size has the default value: 8
-- default_transaction_priority has the default value: normal
-- default_transaction_quality_of_service has the default value: regular
-- default_transaction_read_only has the default value: off
-- default_transaction_use_follower_reads has the default value: off
-- disallow_full_table_scans has the default value: off
-- distsql has the default value: auto
-- enable_implicit_select_for_update has the default value: on
-- enable_implicit_transaction_for_batch_statements has the default value: on
-- enable_insert_fast_path has the default value: on
-- enable_multiple_modifications_of_table has the default value: off
-- enable_zigzag_join has the default value: on
-- expect_and_ignore_not_visible_columns_in_copy has the default value: off
-- intervalstyle has the default value: postgres
-- large_full_scan_rows has the default value: 1000
-- locality_optimized_partitioned_index_scan has the default value: on
-- null_ordered_last has the default value: off
-- on_update_rehome_row_enabled has the default value: on
-- opt_split_scan_limit has the default value: 2048
-- optimizer_use_forecasts has the default value: on
-- optimizer_use_histograms has the default value: on
-- optimizer_use_multicol_stats has the default value: on
-- optimizer_use_not_visible_indexes has the default value: off
-- pg_trgm.similarity_threshold has the default value: 0.3
-- prefer_lookup_joins_for_fks has the default value: off
-- propagate_input_ordering has the default value: off
-- reorder_joins_limit has the default value: 8
-- sql_safe_updates has the default value: off
-- testing_optimizer_cost_perturbation has the default value: 0
-- testing_optimizer_disable_rule_probability has the default value: 0
-- testing_optimizer_random_seed has the default value: 0
-- timezone has the default value: UTC
-- unconstrained_non_covering_index_scan_enabled has the default value: off
-- vectorize has the default value: on

-- Cluster settings:
--   admission.disk_bandwidth_tokens.elastic.enabled = true  (when true, and provisioned bandwidth for the disk corresponding to a store is configured, tokens for elastic work will be limited if disk bandwidth becomes a bottleneck)
--   admission.elastic_cpu.adjustment_delta_per_second = 0.001  (sets the per-second % adjustment used when when adapting elastic work CPU %s)
--   admission.elastic_cpu.enabled = true  (when true, elastic work (like backups) performed by the KV layer is subject to admission control)
--   admission.elastic_cpu.inactive_point = 0.1  (the point between {min,max}_utilization the CPU % decreases to when there's no elastic work)
--   admission.elastic_cpu.max_utilization = 0.75  (sets the ceiling on per-node elastic work CPU % utilization)
--   admission.elastic_cpu.min_utilization = 0.05  (sets the floor on per-node elastic work CPU % utilization)
--   admission.elastic_cpu.multiplicative_factor_on_decrease = 2  (sets the multiplier on negative adjustments to elastic work CPU %)
--   admission.elastic_cpu.multiplicative_factor_on_inactive_decrease = 0.25  (sets the multiplier on negative adjustments to elastic work CPU % when inactive)
--   admission.elastic_cpu.scheduler_latency_target = 1ms  (sets the p99 scheduling latency the elastic CPU controller aims for)
--   admission.epoch_lifo.enabled = false  (when true, epoch-LIFO behavior is enabled when there is significant delay in admission)
--   admission.epoch_lifo.epoch_closing_delta_duration = 5ms  (the delta duration before closing an epoch, for epoch-LIFO admission control ordering)
--   admission.epoch_lifo.epoch_duration = 100ms  (the duration of an epoch, for epoch-LIFO admission control ordering)
--   admission.epoch_lifo.queue_delay_threshold_to_switch_to_lifo = 105ms  (the queue delay encountered by a (tenant,priority) for switching to epoch-LIFO ordering)
--   admission.kv.enabled = true  (when true, work performed by the KV layer is subject to admission control)
--   admission.kv.pause_replication_io_threshold = 0  (pause replication to non-essential followers when their I/O admission control score exceeds the given threshold (zero to disable))
--   admission.kv.stores.tenant_weights.enabled = false  (when true, tenant weights are enabled for KV-stores admission control)
--   admission.kv.tenant_weights.enabled = false  (when true, tenant weights are enabled for KV admission control)
--   admission.kv_slot_adjuster.overload_threshold = 32  (when the number of runnable goroutines per CPU is greater than this threshold, the slot adjuster considers the cpu to be overloaded)
--   admission.l0_file_count_overload_threshold = 1000  (when the L0 file count exceeds this theshold, the store is considered overloaded)
--   admission.l0_sub_level_count_overload_threshold = 20  (when the L0 sub-level count exceeds this threshold, the store is considered overloaded)
--   admission.min_flush_util_fraction = 0.5  (when computing flush tokens, this fraction is a lower bound on the dynamically adjusted flush utilization target fraction that attempts to reduce write stalls. Set it to a high fraction (>>1, e.g. 10), to disable flush based tokens. The dynamic target fraction is used to multiply the (measured) peak flush rate, to compute the flush tokens. If the storage.write-stall-nanos indicates significant write stalls, and the granter logs show that the dynamic target fraction has already reached the lower bound, one can consider lowering it slightly (after consultation with domain experts))
--   admission.soft_slot_granting.enabled = true  (soft slot granting is disabled if this setting is set to false)
--   admission.sql_kv_response.enabled = true  (when true, work performed by the SQL layer when receiving a KV response is subject to admission control)
--   admission.sql_sql_response.enabled = true  (when true, work performed by the SQL layer when receiving a DistSQL response is subject to admission control)
--   backup.restore_span.target_size = 384 MiB  (target size to which base spans of a restore are merged to produce a restore span (0 disables))
--   bulkio.backup.checkpoint_interval = 1m0s  (the minimum time between writing progress checkpoints during a backup)
--   bulkio.backup.deprecated_full_backup_with_subdir.enabled = false  (when true, a backup command with a user specified subdirectory will create a full backup at the subdirectory if no backup already exists at that subdirectory.)
--   bulkio.backup.file_size = 128 MiB  (target size for individual data files produced during BACKUP)
--   bulkio.backup.merge_file_buffer_size = 128 MiB  (size limit used when buffering backup files before merging them)
--   bulkio.backup.read_retry_delay = 5s  (amount of time since the read-as-of time, per-prior attempt, to wait before making another attempt)
--   bulkio.backup.read_timeout = 5m0s  (amount of time after which a read attempt is considered timed out, which causes the backup to fail)
--   bulkio.backup.read_with_priority_after = 1m0s  (amount of time since the read-as-of time above which a BACKUP should use priority when retrying reads)
--   bulkio.backup.split_keys_on_timestamps = true  (split backup data on timestamps when writing revision history)
--   bulkio.column_backfill.batch_size = 200  (the number of rows updated at a time to add/remove columns)
--   bulkio.column_backfill.update_chunk_size_threshold_bytes = 10485760  (the batch size in bytes above which an update is immediately run when adding/removing columns)
--   bulkio.import.predicate_delete_range_batch_size = 10  (the number of ranges to include in a single Predicate Based DeleteRange request)
--   bulkio.import.predicate_delete_range_parallelism = 4  (the number of workers used to issue Predicate Based DeleteRange request)
--   bulkio.import.processors_per_node = 1  (number of input processors to run on each sql instance)
--   bulkio.import.reader_parallelism = 0  (number of parallel workers to use to convert read data for formats that support parallel conversion; 0 indicates number of cores)
--   bulkio.import.replan_flow_frequency = 2m0s  (frequency at which IMPORT checks to see if restarting would update its physical execution plan)
--   bulkio.import.replan_flow_threshold = 0  (fraction of initial flow instances that would be added or updated above which an IMPORT is restarted from its last checkpoint (0=disabled))
--   bulkio.index_backfill.batch_size = 50000  (the number of rows for which we construct index entries in a single batch)
--   bulkio.index_backfill.checkpoint_interval = 30s  (the amount of time between index backfill checkpoint updates)
--   bulkio.index_backfill.merge_batch_bytes = 16777216  (the max number of bytes we merge between temporary and adding indexes in a single batch)
--   bulkio.index_backfill.merge_batch_size = 1000  (the number of rows we merge between temporary and adding indexes in a single batch)
--   bulkio.index_backfill.merge_num_workers = 4  (the number of parallel merges per node in the cluster)
--   bulkio.ingest.flush_delay = 0s  (amount of time to wait before sending a file to the KV/Storage layer to ingest)
--   bulkio.ingest.sender_concurrency_limit = 0  (maximum number of concurrent bulk ingest requests sent by any one sender, such as a processor in an IMPORT, index creation or RESTORE, etc (0 = no limit))
--   bulkio.restore.replan_flow_frequency = 2m0s  (frequency at which RESTORE checks to see if restarting would change its updates its physical execution plan)
--   bulkio.restore.replan_flow_threshold = 0  (fraction of initial flow instances that would be added or updated above which a RESTORE execution plan is restarted from the last checkpoint (0=disabled))
--   bulkio.stream_ingestion.cutover_signal_poll_interval = 30s  (the interval at which the stream ingestion job checks if it has been signaled to cutover)
--   bulkio.stream_ingestion.minimum_flush_interval = 5s  (the minimum timestamp between flushes; flushes may still occur if internal buffers fill up)
--   changefeed.active_protected_timestamps.enabled = true  (if set, rather than only protecting changefeed targets from garbage collection during backfills, data will always be protected up to the changefeed's frontier)
--   changefeed.backfill.concurrent_scan_requests = 0  (number of concurrent scan requests per node issued during a backfill)
--   changefeed.backfill.scan_request_size = 16777216  (the maximum number of bytes returned by each scan request)
--   changefeed.balance_range_distribution.enable = false  (if enabled, the ranges are balanced equally among all nodes)
--   changefeed.balance_range_distribution.sensitivity = 0.05  (rebalance if the number of ranges on a node exceeds the average by this fraction)
--   changefeed.batch_reduction_retry_enabled = true  (if true, kafka changefeeds upon erroring on an oversized batch will attempt to resend the messages with progressively lower batch sizes)
--   changefeed.cloudstorage.async_flush.enabled = true  (enable async flushing)
--   changefeed.event_consumer_worker_queue_size = 16  (if changefeed.event_consumer_workers is enabled, this setting sets the maxmimum number of eventswhich a worker can buffer)
--   changefeed.event_consumer_workers = 8  (the number of workers to use when processing events; 0 or 1 disables)
--   changefeed.event_memory_multiplier = 3  (the amount of memory required to process an event is multiplied by this factor)
--   changefeed.experimental_poll_interval = 1s  (polling interval for the table descriptors)
--   changefeed.fast_gzip.enabled = true  (use fast gzip implementation)
--   changefeed.frontier_checkpoint_frequency = 10m0s  (controls the frequency with which span level checkpoints will be written; if 0, disabled.)
--   changefeed.frontier_checkpoint_max_bytes = 1.0 MiB  (controls the maximum size of the checkpoint as a total size of key bytes)
--   changefeed.frontier_highwater_lag_checkpoint_threshold = 10m0s  (controls the maximum the high-water mark is allowed to lag behind the leading spans of the frontier before per-span checkpointing is enabled; if 0, checkpointing due to high-water lag is disabled)
--   changefeed.idle_timeout = 10m0s  (a changefeed will mark itself idle if no changes have been emitted for greater than this duration; if 0, the changefeed will never be marked idle)
--   changefeed.memory.per_changefeed_limit = 128 MiB  (controls amount of data that can be buffered per changefeed)
--   changefeed.min_highwater_advance = 0s  (minimum amount of time the changefeed high water mark must advance for it to be eligible for checkpointing; Default of 0 will checkpoint every time frontier advances, as long as the rate of checkpointing keeps up with the rate of frontier changes)
--   changefeed.mux_rangefeed.enabled = false  (if true, changefeed uses multiplexing rangefeed RPC)
--   changefeed.node_throttle_config =   (specifies node level throttling configuration for all changefeeeds)
--   changefeed.protect_timestamp_interval = 10m0s  (controls how often the changefeed forwards its protected timestamp to the resolved timestamp)
--   changefeed.replan_flow_frequency = 10m0s  (frequency at which changefeed checks to see if redistributing would change its physical execution plan)
--   changefeed.replan_flow_threshold = 0  (fraction of initial flow instances that would be added or updated above which a redistribution would occur (0=disabled))
--   changefeed.schema_feed.read_with_priority_after = 1m0s  (retry with high priority if we were not able to read descriptors for too long; 0 disables)
--   changefeed.slow_span_log_threshold = 0s  (a changefeed will log spans with resolved timestamps this far behind the current wall-clock time; if 0, a default value is calculated based on other cluster settings)
--   cloudstorage.azure.read.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.azure.read.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.azure.write.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.azure.write.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.gs.chunking.enabled = true  (enable chunking of file upload to Google Cloud Storage)
--   cloudstorage.gs.chunking.retry_timeout = 1m0s  (per-chunk retry deadline when chunking of file upload to Google Cloud Storage)
--   cloudstorage.gs.read.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.gs.read.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.gs.write.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.gs.write.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.http.custom_ca =   (custom root CA (appended to system's default CAs) for verifying certificates when interacting with HTTPS storage)
--   cloudstorage.http.read.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.http.read.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.http.write.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.http.write.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.nodelocal.read.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.nodelocal.read.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.nodelocal.write.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.nodelocal.write.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.nullsink.read.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.nullsink.read.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.nullsink.write.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.nullsink.write.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.s3.buffer_and_put_uploads.enabled = false  (construct files in memory before uploading via PutObject (may cause crashes due to memory usage))
--   cloudstorage.s3.read.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.s3.read.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.s3.session_reuse.enabled = true  (persist the last opened s3 session and re-use it when opening a new session with the same arguments)
--   cloudstorage.s3.write.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.s3.write.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.timeout = 10m0s  (the timeout for import/export storage operations)
--   cloudstorage.userfile.read.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.userfile.read.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.userfile.write.node_burst_limit = 0 B  (burst limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.userfile.write.node_rate_limit = 0 B  (limit on number of bytes per second per node across operations writing to the designated cloud storage provider if non-zero)
--   cloudstorage.write_chunk.size = 8.0 MiB  (controls the size of each file chunk uploaded by the cloud storage client)
--   cluster.organization = Cockroach Labs - Production Testing  (organization name)
--   cluster.preserve_downgrade_option =   (disable (automatic or manual) cluster version upgrade from the specified version until reset)
--   cluster.secret = da367efa-4953-4824-834d-a8a4c06430a7  (cluster specific secret)
--   debug.panic_on_failed_assertions = false  (panic when an assertion fails rather than reporting)
--   diagnostics.active_query_dumps.enabled = true  (experimental: enable dumping of anonymized active queries to disk when node is under memory pressure)
--   diagnostics.forced_sql_stat_reset.interval = 2h0m0s  (interval after which the reported SQL Stats are reset even if not collected by telemetry reporter. It has a max value of 24H.)
--   diagnostics.reporting.enabled = false  (enable reporting diagnostic metrics to cockroach labs)
--   diagnostics.reporting.interval = 1h0m0s  (interval at which diagnostics data should be reported)
--   diagnostics.reporting.send_crash_reports = true  (send crash and panic reports)
--   enterprise.license = crl-0-EJL04ukFGAEiI0NvY2tyb2FjaCBMYWJzIC0gUHJvZHVjdGlvbiBUZXN0aW5n  (the encoded cluster license)
--   external.graphite.endpoint =   (if nonempty, push server metrics to the Graphite or Carbon server at the specified host:port)
--   external.graphite.interval = 10s  (the interval at which metrics are pushed to Graphite (if enabled))
--   feature.backup.enabled = true  (set to true to enable backups, false to disable; default is true)
--   feature.changefeed.enabled = true  (set to true to enable changefeeds, false to disable; default is true)
--   feature.export.enabled = true  (set to true to enable exports, false to disable; default is true)
--   feature.import.enabled = true  (set to true to enable imports, false to disable; default is true)
--   feature.restore.enabled = true  (set to true to enable restore, false to disable; default is true)
--   feature.schema_change.enabled = true  (set to true to enable schema changes, false to disable; default is true)
--   feature.stats.enabled = true  (set to true to enable CREATE STATISTICS/ANALYZE, false to disable; default is true)
--   feature.tls_auto_join.enabled = false  (set to true to enable tls auto join through join tokens, false to disable; default is false)
--   jobs.cancel_update_limit = 1000  (the number of jobs that can be updated when canceling jobs concurrently from dead sessions)
--   jobs.debug.pausepoints =   (the list, comma separated, of named pausepoints currently enabled for debugging)
--   jobs.execution_errors.max_entries = 3  (the maximum number of retriable error entries which will be stored for introspection)
--   jobs.execution_errors.max_entry_size = 64 KiB  (the maximum byte size of individual error entries which will be stored for introspection)
--   jobs.registry.interval.adopt = 30s  (the interval at which a node (a) claims some of the pending jobs and (b) restart its already claimed jobs that are in running or reverting states but are not running)
--   jobs.registry.interval.base = 1  (the base multiplier for other intervals such as adopt, cancel, and gc)
--   jobs.registry.interval.cancel = 10s  (the interval at which a node cancels the jobs belonging to the known dead sessions)
--   jobs.registry.interval.gc = 1h0m0s  (the interval a node deletes expired job records that have exceeded their retention duration)
--   jobs.registry.retry.initial_delay = 30s  (the starting duration of exponential-backoff delay to retry a job which encountered a retryable error or had its coordinator fail. The delay doubles after each retry.)
--   jobs.registry.retry.max_delay = 24h0m0s  (the maximum duration by which a job can be delayed to retry)
--   jobs.retention_time = 336h0m0s  (the amount of time to retain records for completed jobs before)
--   jobs.scheduler.enabled = true  (enable/disable job scheduler)
--   jobs.scheduler.max_jobs_per_iteration = 5  (how many schedules to start per iteration; setting to 0 turns off this limit)
--   jobs.scheduler.pace = 1m0s  (how often to scan system.scheduled_jobs table)
--   jobs.scheduler.schedule_execution.timeout = 30s  (sets a timeout on for schedule execution; 0 disables timeout)
--   jobs.scheduler.single_node_scheduler.enabled = false  (execute scheduler on a single node in a cluster)
--   jobs.trace.force_dump_mode = never  (determines the state in which all traceable jobs will dump their cluster wide, inflight, trace recordings. Traces may be dumped never, on fail, or on any status change i.e paused, canceled, failed, succeeded. [never = 0, onfail = 1, onstop = 2])
--   kv.allocator.l0_sublevels_threshold = 20  (the maximum number of l0 sublevels within a store that may exist before the action defined in `kv.allocator.l0_sublevels_threshold_enforce` will be taken if also exceeding the cluster average)
--   kv.allocator.l0_sublevels_threshold_enforce = block_rebalance_to  (the level of enforcement when a candidate disk has L0 sub-levels exceeding `kv.allocator.l0_sublevels_threshold` and above the cluster average:`block_none` will exclude no candidate stores, `block_none_log` will exclude no candidates but log an event, `block_rebalance_to` will exclude candidates stores from being targets of rebalance actions, `block_all` will exclude candidate stores from being targets of both allocation and rebalancing [block_none = 0, block_none_log = 1, block_rebalance_to = 2, block_all = 3])
--   kv.allocator.lease_rebalancing_aggressiveness = 1  (set greater than 1.0 to rebalance leases toward load more aggressively, or between 0 and 1.0 to be more conservative about rebalancing leases)
--   kv.allocator.load_based_lease_rebalancing.enabled = true  (set to enable rebalancing of range leases based on load and latency)
--   kv.allocator.load_based_rebalancing = leases and replicas  (whether to rebalance based on the distribution of QPS across stores [off = 0, leases = 1, leases and replicas = 2])
--   kv.allocator.load_based_rebalancing_interval = 1m0s  (the rough interval at which each store will check for load-based lease / replica rebalancing opportunities)
--   kv.allocator.min_lease_transfer_interval = 1s  (controls how frequently leases can be transferred for rebalancing. It does not prevent transferring leases in order to allow a replica to be removed from a range.)
--   kv.allocator.min_qps_difference_for_transfers = 200  (the minimum qps difference that must exist between any two stores for the allocator to allow a lease or replica transfer between them)
--   kv.allocator.qps_rebalance_threshold = 0.1  (minimum fraction away from the mean a store's QPS (such as queries per second) can be before it is considered overfull or underfull)
--   kv.allocator.range_rebalance_threshold = 0.05  (minimum fraction away from the mean a store's range count can be before it is considered overfull or underfull)
--   kv.allocator.recovery_store_selector = good  (if set to 'good', the allocator may recover replicas to any valid store, if set to 'best' it will pick one of the most ideal stores)
--   kv.bulk_ingest.batch_size = 16 MiB  (the maximum size of the payload in an AddSSTable request)
--   kv.bulk_ingest.index_buffer_size = 32 MiB  (the initial size of the BulkAdder buffer handling secondary index imports)
--   kv.bulk_ingest.max_index_buffer_size = 512 MiB  (the maximum size of the BulkAdder buffer handling secondary index imports)
--   kv.bulk_ingest.max_pk_buffer_size = 128 MiB  (the maximum size of the BulkAdder buffer handling primary index imports)
--   kv.bulk_ingest.pk_buffer_size = 32 MiB  (the initial size of the BulkAdder buffer handling primary index imports)
--   kv.bulk_ingest.stream_external_ssts.enabled = true  (if enabled, external SSTables are iterated directly in some cases, rather than being downloaded entirely first)
--   kv.bulk_ingest.stream_external_ssts.suffix_cache_size = 64 KiB  (size of suffix of remote SSTs to download and cache before reading from remote stream)
--   kv.bulk_io_write.concurrent_addsstable_as_writes_requests = 10  (number of concurrent AddSSTable requests ingested as writes per store before queueing)
--   kv.bulk_io_write.concurrent_addsstable_requests = 1  (number of concurrent AddSSTable requests per store before queueing)
--   kv.bulk_io_write.concurrent_export_requests = 3  (number of export requests a store will handle concurrently before queuing)
--   kv.bulk_io_write.max_rate = 1.0 TiB  (the rate limit (bytes/sec) to use for writes to disk on behalf of bulk io ops)
--   kv.bulk_io_write.min_capacity_remaining_fraction = 0.05  (remaining store capacity fraction below which an addsstable request is rejected)
--   kv.bulk_io_write.restore_node_concurrency = 4  (the number of workers processing a restore per job per node; maximum 32)
--   kv.bulk_io_write.small_write_size = 400 KiB  (size below which a 'bulk' write will be performed as a normal write instead)
--   kv.bulk_io_write.sst_require_at_request_timestamp.enabled = false  (rejects addsstable requests that don't write at the request timestamp)
--   kv.bulk_io_write.sst_rewrite_concurrency.per_call = 4  (concurrency to use when rewriting sstable timestamps by block, or 0 to use a loop)
--   kv.bulk_sst.max_allowed_overage = 64 MiB  (if positive, allowed size in excess of target size for SSTs from export requests; export requests (i.e. BACKUP) may buffer up to the sum of kv.bulk_sst.target_size and kv.bulk_sst.max_allowed_overage in memory)
--   kv.bulk_sst.max_request_time = 0s  (if set, limits amount of time spent in export requests; if export request can not finish within allocated time it will resume from the point it stopped in subsequent request)
--   kv.bulk_sst.sync_size = 512 KiB  (threshold after which non-Rocks SST writes must fsync (0 disables))
--   kv.bulk_sst.target_size = 16 MiB  (target size for SSTs emitted from export requests; export requests (i.e. BACKUP) may buffer up to the sum of kv.bulk_sst.target_size and kv.bulk_sst.max_allowed_overage in memory)
--   kv.bulkio.write_metadata_sst.enabled = false  (write experimental new format BACKUP metadata file)
--   kv.closed_timestamp.follower_reads_enabled = true  (allow (all) replicas to serve consistent historical reads based on closed timestamp information)
--   kv.closed_timestamp.lead_for_global_reads_override = 0s  (if nonzero, overrides the lead time that global_read ranges use to publish closed timestamps)
--   kv.closed_timestamp.propagation_slack = 1s  (a conservative estimate of the amount of time expect for closed timestamps to propagate from a leaseholder to followers. This is taken into account by follower_read_timestamp().)
--   kv.closed_timestamp.side_transport_interval = 200ms  (the interval at which the closed-timestamp side-transport attempts to advance each range's closed timestamp; set to 0 to disable the side-transport)
--   kv.closed_timestamp.target_duration = 3s  (if nonzero, attempt to provide closed timestamp notifications for timestamps trailing cluster time by approximately this duration)
--   kv.concurrency.optimistic_eval_limited_scans.enabled = true  (when true, limited scans are optimistically evaluated in the sense of not checking for conflicting latches or locks up front for the full key range of the scan, and instead subsequently checking for conflicts only over the key range that was read)
--   kv.dist_sender.concurrency_limit = 1024  (maximum number of asynchronous send requests)
--   kv.gc.admission_priority = bulk_normal_pri  (the admission priority to use for mvcc gc work [bulk_normal_pri = -30, normal_pri = 0, user_high_pri = 50])
--   kv.gc.intent_age_threshold = 2h0m0s  (intents older than this threshold will be resolved when encountered by the MVCC GC queue)
--   kv.gc.intent_cleanup_batch_byte_size = 1000000  (if non zero, gc will split found intents into batches of this size when trying to resolve them)
--   kv.gc.intent_cleanup_batch_size = 5000  (if non zero, gc will split found intents into batches of this size when trying to resolve them)
--   kv.gc.txn_cleanup_threshold = 1h0m0s  (the threshold after which a transaction is considered abandoned and fit for removal, as measured by the maximum of its last heartbeat and timestamp)
--   kv.gc_ttl.strict_enforcement.enabled = true  (if true, fail to serve requests at timestamps below the TTL even if the data still exists)
--   kv.lock_table.coordinator_liveness_push_delay = 1s  (the delay before pushing in order to detect coordinator failures of conflicting transactions)
--   kv.lock_table.deadlock_detection_push_delay = 1s  (the delay before pushing in order to detect dependency cycles between transactions)
--   kv.lock_table.discovered_locks_threshold_for_consulting_finalized_txn_cache = 200  (the maximum number of discovered locks by a waiter, above which the finalized txn cacheis consulted and resolvable locks are not added to the lock table -- this should be a smallfraction of the maximum number of locks in the lock table)
--   kv.lock_table.maximum_lock_wait_queue_length = 0  (the maximum length of a lock wait-queue that read-write requests are willing to enter and wait in. The setting can be used to ensure some level of quality-of-service under severe per-key contention. If set to a non-zero value and an existing lock wait-queue is already equal to or exceeding this length, requests will be rejected eagerly instead of entering the queue and waiting. Set to 0 to disable.)
--   kv.log_range_and_node_events.enabled = true  (set to true to transactionally log range events (e.g., split, merge, add/remove voter/non-voter) into system.rangelogand node join and restart events into system.eventolog)
--   kv.migration.migrate_application.timeout = 1m0s  (timeout for a Migrate request to be applied across all replicas of a range)
--   kv.mvcc_gc.queue_high_priority_interval = 0s  (how long the mvcc gc queue waits between processing high priority replicas (e.g. after table drops))
--   kv.mvcc_gc.queue_interval = 1s  (how long the mvcc gc queue waits between processing replicas)
--   kv.prober.bypass_admission_control.enabled = true  (set to bypass admission control queue for kvprober requests; note that dedicated clusters should have this set as users own capacity planning but serverless clusters should not have this set as SREs own capacity planning)
--   kv.prober.planner.num_steps_to_plan_at_once = 100  (the number of Steps to plan at once, where a Step is a decision on what range to probe; the order of the Steps is randomized within each planning run, so setting this to a small number will lead to close-to-lexical probing; already made plans are held in memory, so large values are advised against)
--   kv.prober.planner.scan_meta2.timeout = 2s  (timeout on scanning meta2 via db.Scan with max rows set to kv.prober.planner.num_steps_to_plan_at_once)
--   kv.prober.quarantine.write.enabled = false  (whether the KV write prober is enabled for the quarantine pool; The quarantine pool holds a separate group of ranges that have previously failed a probe which are continually probed. This helps determine outages for ranges  with a high level of confidence)
--   kv.prober.quarantine.write.interval = 10s  (how often each node sends a write probe for the quarantine pool to the KV layer on average (jitter is added); note that a very slow read can block kvprober from sending additional probes; kv.prober.write.timeout controls the max time kvprober can be blocked)
--   kv.prober.quarantine_pool_size = 100  (the maximum size of the kv prober quarantine pool, where the quarantine pool holds Steps for ranges that have been probed and timed out; If the quarantine pool is full, probes that fail will not be added to  the pool)
--   kv.prober.read.enabled = false  (whether the KV read prober is enabled)
--   kv.prober.read.interval = 1m0s  (how often each node sends a read probe to the KV layer on average (jitter is added); note that a very slow read can block kvprober from sending additional probes; kv.prober.read.timeout controls the max time kvprober can be blocked)
--   kv.prober.read.timeout = 2s  (if this much time elapses without success, a KV read probe will be treated as an error; note that a very slow read can block kvprober from sending additional probesthis setting controls the max time kvprober can be blocked)
--   kv.prober.write.enabled = false  (whether the KV write prober is enabled)
--   kv.prober.write.interval = 10s  (how often each node sends a write probe to the KV layer on average (jitter is added); note that a very slow read can block kvprober from sending additional probes; kv.prober.write.timeout controls the max time kvprober can be blocked)
--   kv.prober.write.timeout = 4s  (if this much time elapses without success, a KV write probe will be treated as an error; note that a very slow read can block kvprober from sending additional probesthis setting controls the max time kvprober can be blocked)
--   kv.protectedts.max_bytes = 1048576  (if non-zero the limit of the number of bytes of spans and metadata which can be protected)
--   kv.protectedts.max_spans = 32768  (if non-zero the limit of the number of spans which can be protected)
--   kv.protectedts.poll_interval = 2m0s  (the interval at which the protectedts subsystem state is polled)
--   kv.protectedts.reconciliation.interval = 5m0s  (the frequency for reconciling jobs with protected timestamp records)
--   kv.query_resolved_timestamp.intent_cleanup_age = 10s  (minimum intent age that QueryResolvedTimestamp requests will consider for async intent cleanup)
--   kv.queue.process.guaranteed_time_budget = 1m0s  (the guaranteed duration before which the processing of a queue may time out)
--   kv.raft.command.max_size = 64 MiB  (maximum size of a raft command)
--   kv.raft.command.target_batch_size = 64 MiB  (size of a batch of raft commands after which it will be sent without further batching)
--   kv.raft_log.disable_synchronization_unsafe = false  (set to true to disable synchronization on Raft log writes to persistent storage. Setting to true risks data loss or data corruption on server crashes. The setting is meant for internal testing only and SHOULD NOT be used in production.)
--   kv.raft_log.loosely_coupled_truncation.enabled = false  (set to true to loosely couple the raft log truncation)
--   kv.range.backpressure_byte_tolerance = 32 MiB  (defines the number of bytes above the product of backpressure_range_size_multiplier and the range_max_size at which backpressure will not apply)
--   kv.range.backpressure_range_size_multiplier = 2  (multiple of range_max_bytes that a range is allowed to grow to without splitting before writes to that range are blocked, or 0 to disable)
--   kv.range_descriptor_cache.size = 1000000  (maximum number of entries in the range descriptor cache)
--   kv.range_merge.queue_enabled = false  (whether the automatic merge queue is enabled)
--   kv.range_merge.queue_interval = 5s  (how long the merge queue waits between processing replicas)
--   kv.range_split.by_load_enabled = true  (allow automatic splits of ranges based on where load is concentrated)
--   kv.range_split.by_load_merge_delay = 5m0s  (the delay that range splits created due to load will wait before considering being merged away)
--   kv.range_split.load_qps_threshold = 2500  (the QPS over which, the range becomes a candidate for load based splitting)
--   kv.rangefeed.catchup_scan_concurrency = 8  (number of catchup scans that a single rangefeed can execute concurrently; 0 implies unlimited)
--   kv.rangefeed.closed_timestamp_refresh_interval = 0s  (the interval at which closed-timestamp updatesare delivered to rangefeeds; set to 0 to use kv.closed_timestamp.side_transport_interval)
--   kv.rangefeed.concurrent_catchup_iterators = 16  (number of rangefeeds catchup iterators a store will allow concurrently before queueing)
--   kv.rangefeed.enabled = false  (if set, rangefeed registration is enabled)
--   kv.rangefeed.max_scan_parallelism = 64  (maximum number of concurrent scan requests that can be issued during initial scan)
--   kv.rangefeed.memory_budgets.enabled = true  (if set, rangefeed memory budgets are enabled)
--   kv.rangefeed.range_stuck_threshold = 1m0s  (restart rangefeeds if they appear to be stuck for the specified threshold; 0 disables)
--   kv.rangefeed.use_dedicated_connection_class.enabled = false  (uses dedicated connection when running rangefeeds)
--   kv.replica_circuit_breaker.slow_replication_threshold = 1m0s  (duration after which slow proposals trip the per-Replica circuit breaker (zero duration disables breakers))
--   kv.replica_stats.addsst_request_size_factor = 50000  (the divisor that is applied to addsstable request sizes, then recorded in a leaseholders QPS; 0 means all requests are treated as cost 1)
--   kv.replication_reports.interval = 1m0s  (the frequency for generating the replication_constraint_stats, replication_stats_report and replication_critical_localities reports (set to 0 to disable))
--   kv.snapshot_delegation.enabled = false  (set to true to allow snapshots from follower replicas)
--   kv.snapshot_prioritization.enabled = true  (if true, then prioritize enqueued snapshots on both the send or receive sides)
--   kv.snapshot_rebalance.max_rate = 32 MiB  (the rate limit (bytes/sec) to use for rebalance and upreplication snapshots)
--   kv.snapshot_receiver.reservation_queue_timeout_fraction = 0.4  (the fraction of a snapshot's total timeout that it is allowed to spend queued on the receiver waiting for a reservation)
--   kv.snapshot_recovery.max_rate = 32 MiB  (the rate limit (bytes/sec) to use for recovery snapshots)
--   kv.snapshot_sender.batch_size = 256 KiB  (size of key-value batches sent over the network during snapshots)
--   kv.snapshot_sst.sync_size = 512 KiB  (threshold after which snapshot SST writes must fsync)
--   kv.store.admission.provisioned_bandwidth = 0 B  (if set to a non-zero value, this is used as the provisioned bandwidth (in bytes/s), for each store. It can be over-ridden on a per-store basis using the --store flag)
--   kv.store.system_config_update.queue_add_burst = 32  (the burst rate at which the store will add all replicas to the split and merge queue due to system config gossip)
--   kv.store.system_config_update.queue_add_rate = 0.5  (the rate (per second) at which the store will add, all replicas to the split and merge queue due to system config gossip)
--   kv.streamer.concurrency_limit = 128  (maximum number of asynchronous requests by a single streamer)
--   kv.tenant_rate_limiter.burst_limit_seconds = 10  (per-tenant burst limit as a multiplier of the rate)
--   kv.tenant_rate_limiter.rate_limit = -200  (per-tenant rate limit in KV Compute Units per second if positive, or KV Compute Units per second per CPU if negative)
--   kv.tenant_rate_limiter.read_batch_cost = 0.567  (base cost of a read batch in KV Compute Units)
--   kv.tenant_rate_limiter.read_cost_per_mebibyte = 12.77  (cost of a read in KV Compute Units per MiB)
--   kv.tenant_rate_limiter.read_request_cost = 0.0275  (base cost of a read request in KV Compute Units)
--   kv.tenant_rate_limiter.write_batch_cost = 0.328  (base cost of a write batch in KV Compute Units)
--   kv.tenant_rate_limiter.write_cost_per_megabyte = 43.95  (cost of a write in KV Compute Units per MiB)
--   kv.tenant_rate_limiter.write_request_cost = 0.314  (base cost of a write request in KV Compute Units)
--   kv.trace.snapshot.enable_threshold = 0s  (enables tracing and gathers timing information on all snapshots;snapshots with a duration longer than this threshold will have their trace logged (set to 0 to disable);)
--   kv.transaction.max_intents_bytes = 4194304  (maximum number of bytes used to track locks in transactions)
--   kv.transaction.max_refresh_spans_bytes = 4194304  (maximum number of bytes used to track refresh spans in serializable transactions)
--   kv.transaction.parallel_commits_enabled = true  (if enabled, transactional commits will be parallelized with transactional writes)
--   kv.transaction.reject_over_max_intents_budget.enabled = false  (if set, transactions that exceed their lock tracking budget (kv.transaction.max_intents_bytes) are rejected instead of having their lock spans imprecisely compressed)
--   kv.transaction.write_pipelining_enabled = true  (if enabled, transactional writes are pipelined through Raft consensus)
--   kv.transaction.write_pipelining_max_batch_size = 128  (if non-zero, defines that maximum size batch that will be pipelined through Raft consensus)
--   kv.transfer_expiration_leases_first.enabled = true  (controls whether we transfer expiration-based leases that are later upgraded to epoch-based ones)
--   kvadmission.elastic_cpu.duration_per_export_request = 100ms  (controls how many CPU tokens are allotted for each export request)
--   rocksdb.ingest_backpressure.l0_file_count_threshold = 20  (number of L0 files after which to backpressure SST ingestions)
--   rocksdb.ingest_backpressure.max_delay = 5s  (maximum amount of time to backpressure a single SST ingestion)
--   rocksdb.min_wal_sync_interval = 0s  (minimum duration between syncs of the RocksDB WAL)
--   scheduler_latency.sample_duration = 2.5s  (controls the duration over which each scheduler latency sample is a measurement over)
--   scheduler_latency.sample_period = 100ms  (controls the duration between consecutive scheduler latency samples)
--   schedules.backup.gc_protection.enabled = true  (enable chaining of GC protection across backups run as part of a schedule)
--   schemachanger.backfiller.buffer_size = 32 MiB  (the initial size of the BulkAdder buffer handling index backfills)
--   schemachanger.backfiller.max_buffer_size = 512 MiB  (the maximum size of the BulkAdder buffer handling index backfills)
--   schemachanger.backfiller.max_commit_wait_fns = 128  (the maximum number of commit-wait functions that the columnBackfiller will accumulate before consuming them to reclaim memory)
--   schemachanger.job.max_retry_backoff = 20s  (the exponential back off when retrying jobs for schema changes)
--   security.ocsp.mode = off  (use OCSP to check whether TLS certificates are revoked. If the OCSP server is unreachable, in strict mode all certificates will be rejected and in lax mode all certificates will be accepted. [off = 0, lax = 1, strict = 2])
--   security.ocsp.timeout = 3s  (timeout before considering the OCSP server unreachable)
--   server.auth_log.sql_connections.enabled = false  (if set, log SQL client connect and disconnect events (note: may hinder performance on loaded nodes))
--   server.auth_log.sql_sessions.enabled = false  (if set, log SQL session login/disconnection events (note: may hinder performance on loaded nodes))
--   server.authentication_cache.enabled = true  (enables a cache used during authentication to avoid lookups to system tables when retrieving per-user authentication-related information)
--   server.child_metrics.enabled = false  (enables the exporting of child metrics, additional prometheus time series with extra labels)
--   server.clock.forward_jump_check_enabled = false  (if enabled, forward clock jumps > max_offset/2 will cause a panic)
--   server.clock.persist_upper_bound_interval = 0s  (the interval between persisting the wall time upper bound of the clock. The clock does not generate a wall time greater than the persisted timestamp and will panic if it sees a wall time greater than this value. When cockroach starts, it waits for the wall time to catch-up till this persisted timestamp. This guarantees monotonic wall time across server restarts. Not setting this or setting a value of 0 disables this feature.)
--   server.consistency_check.interval = 0s  (the time between range consistency checks; set to 0 to disable consistency checking. Note that intervals that are too short can negatively impact performance.)
--   server.consistency_check.max_rate = 8.0 MiB  (the rate limit (bytes/sec) to use for consistency checks; used in conjunction with server.consistency_check.interval to control the frequency of consistency checks. Note that setting this too high can negatively impact performance.)
--   server.cpu_profile.total_dump_size_limit = 128 MiB  (maximum combined disk size of preserved CPU profiles)
--   server.eventlog.enabled = true  (if set, logged notable events are also stored in the table system.eventlog)
--   server.eventlog.ttl = 2160h0m0s  (if nonzero, entries in system.eventlog older than this duration are deleted every 10m0s. Should not be lowered below 24 hours.)
--   server.failed_reservation_timeout = 5s  (the amount of time to consider the store throttled for up-replication after a failed reservation call)
--   server.goroutine_dump.num_goroutines_threshold = 1000  (a threshold beyond which if number of goroutines increases, then goroutine dump can be triggered)
--   server.goroutine_dump.total_dump_size_limit = 500 MiB  (total size of goroutine dumps to be kept. Dumps are GC'ed in the order of creation time. The latest dump is always kept even if its size exceeds the limit.)
--   server.host_based_authentication.configuration =   (host-based authentication configuration to use during connection authentication)
--   server.hsts.enabled = false  (if true, HSTS headers will be sent along with all HTTP requests. The headers will contain a max-age setting of one year. Browsers honoring the header will always use HTTPS to access the DB Console. Ensure that TLS is correctly configured prior to enabling.)
--   server.identity_map.configuration =   (system-identity to database-username mappings)
--   server.job_trace.total_dump_size_limit = 500 MiB  (total size of job trace dumps to be kept. Dumps are GC'ed in the order of creation time. The latest dump is always kept even if its size exceeds the limit.)
--   server.jwt_authentication.audience =   (sets accepted audience values for JWT logins over the SQL interface)
--   server.jwt_authentication.enabled = false  (enables or disabled JWT login for the SQL interface)
--   server.jwt_authentication.issuers =   (sets accepted issuer values for JWT logins over the SQL interface either as a string or as a JSON string with an array of issuer strings in it)
--   server.jwt_authentication.jwks = {"keys":[]}  (sets the public key set for JWT logins over the SQL interface (JWKS format))
--   server.max_connections_per_gateway = -1  (the maximum number of non-superuser SQL connections per gateway allowed at a given time (note: this will only limit future connection attempts and will not affect already established connections). Negative values result in unlimited number of connections. Superusers are not affected by this limit.)
--   server.mem_profile.max_profiles = 5  (maximum number of profiles to be kept per ramp-up of memory usage. A ramp-up is defined as a sequence of profiles with increasing usage.)
--   server.mem_profile.total_dump_size_limit = 128 MiB  (maximum combined disk size of preserved memory profiles)
--   server.oidc_authentication.autologin = false  (if true, logged-out visitors to the DB Console will be automatically redirected to the OIDC login endpoint)
--   server.oidc_authentication.button_text = Login with your OIDC provider  (text to show on button on DB Console login page to login with your OIDC provider (only shown if OIDC is enabled))
--   server.oidc_authentication.claim_json_key =   (sets JSON key of principal to extract from payload after OIDC authentication completes (usually email or sid))
--   server.oidc_authentication.client_id =   (sets OIDC client id)
--   server.oidc_authentication.client_secret =   (sets OIDC client secret)
--   server.oidc_authentication.enabled = false  (enables or disabled OIDC login for the DB Console)
--   server.oidc_authentication.principal_regex = (.+)  (regular expression to apply to extracted principal (see claim_json_key setting) to translate to SQL user (golang regex format, must include 1 grouping to extract))
--   server.oidc_authentication.provider_url =   (sets OIDC provider URL ({provider_url}/.well-known/openid-configuration must resolve))
--   server.oidc_authentication.redirect_url = https://localhost:8080/oidc/v1/callback  (sets OIDC redirect URL via a URL string or a JSON string containing a required `redirect_urls` key with an object that maps from region keys to URL strings (URLs should point to your load balancer and must route to the path /oidc/v1/callback) )
--   server.oidc_authentication.scopes = openid  (sets OIDC scopes to include with authentication request (space delimited list of strings, required to start with `openid`))
--   server.rangelog.ttl = 720h0m0s  (if nonzero, range log entries older than this duration are deleted every 10m0s. Should not be lowered below 24 hours.)
--   server.secondary_tenants.redact_trace.enabled = true  (controls if server side traces are redacted for tenant operations)
--   server.shutdown.connection_wait = 0s  (the maximum amount of time a server waits for all SQL connections to be closed before proceeding with a drain. (note that the --drain-wait parameter for cockroach node drain may need adjustment after changing this setting))
--   server.shutdown.drain_wait = 0s  (the amount of time a server waits in an unready state before proceeding with a drain (note that the --drain-wait parameter for cockroach node drain may need adjustment after changing this setting. --drain-wait is to specify the duration of the whole draining process, while server.shutdown.drain_wait is to set the wait time for health probes to notice that the node is not ready.))
--   server.shutdown.lease_transfer_wait = 5s  (the timeout for a single iteration of the range lease transfer phase of draining (note that the --drain-wait parameter for cockroach node drain may need adjustment after changing this setting))
--   server.shutdown.query_wait = 10s  (the timeout for waiting for active queries to finish during a drain (note that the --drain-wait parameter for cockroach node drain may need adjustment after changing this setting))
--   server.sqlliveness.gc_interval = 20s  (duration between attempts to delete extant sessions that have expired)
--   server.sqlliveness.gc_jitter = 0.15  (jitter fraction on the duration between attempts to delete extant sessions that have expired)
--   server.sqlliveness.heartbeat = 5s  (duration heart beats to push session expiration further out in time)
--   server.sqlliveness.storage_session_cache_size = 1024  (number of session entries to store in the LRU)
--   server.sqlliveness.ttl = 40s  (default sqlliveness session ttl)
--   server.time_after_store_suspect = 30s  (the amount of time we consider a store suspect for after it fails a node liveness heartbeat. A suspect node would not receive any new replicas or lease transfers, but will keep the replicas it has.)
--   server.time_until_store_dead = 5m0s  (the time after which if there is no new gossiped information about a store, it is considered dead)
--   server.user_login.cert_password_method.auto_scram_promotion.enabled = true  (whether to automatically promote cert-password authentication to use SCRAM)
--   server.user_login.min_password_length = 1  (the minimum length accepted for passwords set in cleartext via SQL. Note that a value lower than 1 is ignored: passwords cannot be empty in any case.)
--   server.user_login.password_encryption = scram-sha-256  (which hash method to use to encode cleartext passwords passed via ALTER/CREATE USER/ROLE WITH PASSWORD [crdb-bcrypt = 2, scram-sha-256 = 3])
--   server.user_login.password_hashes.default_cost.crdb_bcrypt = 10  (the hashing cost to use when storing passwords supplied as cleartext by SQL clients with the hashing method crdb-bcrypt (allowed range: 4-31))
--   server.user_login.password_hashes.default_cost.scram_sha_256 = 119680  (the hashing cost to use when storing passwords supplied as cleartext by SQL clients with the hashing method scram-sha-256 (allowed range: 4096-240000000000))
--   server.user_login.session_revival_token.enabled = false  (if set, the cluster is able to create session revival tokens and use them to authenticate a new session)
--   server.user_login.store_client_pre_hashed_passwords.enabled = true  (whether the server accepts to store passwords pre-hashed by clients)
--   server.user_login.timeout = 10s  (timeout after which client authentication times out if some system range is unavailable (0 = no timeout))
--   server.user_login.upgrade_bcrypt_stored_passwords_to_scram.enabled = true  (whether to automatically re-encode stored passwords using crdb-bcrypt to scram-sha-256)
--   server.web_session.auto_logout.timeout = 168h0m0s  (the duration that web sessions will survive before being periodically purged, since they were last used)
--   server.web_session.purge.max_deletions_per_cycle = 1000  (the maximum number of old sessions to delete for each purge)
--   server.web_session.purge.period = 1h0m0s  (the time until old sessions are deleted)
--   server.web_session.purge.ttl = 1h0m0s  (if nonzero, entries in system.web_sessions older than this duration are periodically purged)
--   server.web_session_timeout = 168h0m0s  (the duration that a newly created web session will be valid)
--   spanconfig.host_coalesce_adjacent.enabled = false  (collapse adjacent ranges with the same span configs)
--   spanconfig.kvaccessor.batch_size = 10000  (number of span config records to access in a single batch)
--   spanconfig.reconciliation_job.check_interval = 10m0s  (the frequency at which to check if the span config reconciliation job exists (and to start it if not))
--   spanconfig.reconciliation_job.checkpoint_interval = 5s  (the frequency at which the span config reconciliation job checkpoints itself)
--   spanconfig.reconciliation_job.enabled = true  (enable the use of the kv accessor)
--   spanconfig.store.enabled = true  (use the span config infrastructure in KV instead of the system config span)
--   spanconfig.tenant_coalesce_adjacent.enabled = true  (collapse adjacent ranges with the same span configs)
--   spanconfig.tenant_limit = 5000  (limit on the number of span configs a tenant is allowed to install)
--   sql.auth.resolve_membership_single_scan.enabled = true  (determines whether to populate the role membership cache with a single scan)
--   sql.catalog.descriptor_lease_duration = 5m0s  (mean duration of sql descriptor leases, this actual duration is jitterred)
--   sql.catalog.descriptor_lease_jitter_fraction = 0.05  (mean duration of sql descriptor leases, this actual duration is jitterred)
--   sql.catalog.descriptor_lease_renewal_fraction = 1m0s  (controls the default time before a lease expires when acquisition to renew the lease begins)
--   sql.catalog.descs.validate_on_write.enabled = true  (set to true to validate descriptors prior to writing, false to disable; default is true)
--   sql.catalog.hydrated_tables.cache_size = 128  (number of table descriptor versions retained in the hydratedtables LRU cache)
--   sql.closed_session_cache.capacity = 1000  (the maximum number of sessions in the cache)
--   sql.closed_session_cache.time_to_live = 3600  (the maximum time to live, in seconds)
--   sql.conn.max_read_buffer_message_size = 16 MiB  (maximum buffer size to allow for ingesting sql statements. Connections must be restarted for this to take effect.)
--   sql.contention.event_store.capacity = 64 MiB  (the in-memory storage capacity per-node of contention event store)
--   sql.contention.event_store.duration_threshold = 0s  (minimum contention duration to cause the contention events to be collected into crdb_internal.transaction_contention_events)
--   sql.contention.event_store.resolution_interval = 30s  (the interval at which transaction fingerprint ID resolution is performed (set to 0 to disable))
--   sql.contention.txn_id_cache.max_size = 64 MiB  (the maximum byte size TxnID cache will use (set to 0 to disable))
--   sql.crdb_internal.table_row_statistics.as_of_time = -10s  (historical query time used to build the crdb_internal.table_row_statistics table)
--   sql.cross_db_fks.enabled = false  (if true, creating foreign key references across databases is allowed)
--   sql.cross_db_sequence_owners.enabled = false  (if true, creating sequences owned by tables from other databases is allowed)
--   sql.cross_db_sequence_references.enabled = false  (if true, sequences referenced by tables from other databases are allowed)
--   sql.cross_db_views.enabled = false  (if true, creating views that refer to other databases is allowed)
--   sql.defaults.cost_scans_with_default_col_size.enabled = false  (setting to true uses the same size for all columns to compute scan cost)
--   sql.defaults.datestyle = iso, mdy  (default value for DateStyle session setting [iso, mdy = 0, iso, dmy = 1, iso, ymd = 2])
--   sql.defaults.default_hash_sharded_index_bucket_count = 16  (used as bucket count if bucket count is not specified in hash sharded index definition)
--   sql.defaults.default_int_size = 8  (the size, in bytes, of an INT type)
--   sql.defaults.disallow_full_table_scans.enabled = false  (setting to true rejects queries that have planned a full table scan)
--   sql.defaults.distsql = auto  (default distributed SQL execution mode [off = 0, auto = 1, on = 2, always = 3])
--   sql.defaults.experimental_alter_column_type.enabled = false  (default value for experimental_alter_column_type session setting; enables the use of ALTER COLUMN TYPE for general conversions)
--   sql.defaults.experimental_auto_rehoming.enabled = false  (default value for experimental_enable_auto_rehoming; allows for rows in REGIONAL BY ROW tables to be auto-rehomed on UPDATE)
--   sql.defaults.experimental_computed_column_rewrites =   (allows rewriting computed column expressions in CREATE TABLE and ALTER TABLE statements; the format is: '(before expression) -> (after expression) [, (before expression) -> (after expression) ...]')
--   sql.defaults.experimental_distsql_planning = off  (default experimental_distsql_planning mode; enables experimental opt-driven DistSQL planning [off = 0, on = 1])
--   sql.defaults.experimental_enable_unique_without_index_constraints.enabled = false  (default value for experimental_enable_unique_without_index_constraints session setting;disables unique without index constraints by default)
--   sql.defaults.experimental_implicit_column_partitioning.enabled = false  (default value for experimental_enable_temp_tables; allows for the use of implicit column partitioning)
--   sql.defaults.experimental_stream_replication.enabled = false  (default value for experimental_stream_replication session setting;enables the ability to setup a replication stream)
--   sql.defaults.experimental_temporary_tables.enabled = false  (default value for experimental_enable_temp_tables; allows for use of temporary tables by default)
--   sql.defaults.foreign_key_cascades_limit = 10000  (default value for foreign_key_cascades_limit session setting; limits the number of cascading operations that run as part of a single query)
--   sql.defaults.idle_in_session_timeout = 0s  (default value for the idle_in_session_timeout; default value for the idle_in_session_timeout session setting; controls the duration a session is permitted to idle before the session is terminated; if set to 0, there is no timeout)
--   sql.defaults.idle_in_transaction_session_timeout = 0s  (default value for the idle_in_transaction_session_timeout; controls the duration a session is permitted to idle in a transaction before the session is terminated; if set to 0, there is no timeout)
--   sql.defaults.implicit_select_for_update.enabled = true  (default value for enable_implicit_select_for_update session setting; enables FOR UPDATE locking during the row-fetch phase of mutation statements)
--   sql.defaults.insert_fast_path.enabled = true  (default value for enable_insert_fast_path session setting; enables a specialized insert path)
--   sql.defaults.intervalstyle = postgres  (default value for IntervalStyle session setting [postgres = 0, iso_8601 = 1, sql_standard = 2])
--   sql.defaults.large_full_scan_rows = 1000  (default value for large_full_scan_rows session setting which determines the maximum table size allowed for a full scan when disallow_full_table_scans is set to true)
--   sql.defaults.locality_optimized_partitioned_index_scan.enabled = true  (default value for locality_optimized_partitioned_index_scan session setting; enables searching for rows in the current region before searching remote regions)
--   sql.defaults.lock_timeout = 0s  (default value for the lock_timeout; default value for the lock_timeout session setting; controls the duration a query is permitted to wait while attempting to acquire a lock on a key or while blocking on an existing lock in order to perform a non-locking read on a key; if set to 0, there is no timeout)
--   sql.defaults.multiregion_placement_policy.enabled = false  (default value for enable_multiregion_placement_policy; allows for use of PLACEMENT RESTRICTED)
--   sql.defaults.on_update_rehome_row.enabled = true  (default value for on_update_rehome_row; enables ON UPDATE rehome_row() expressions to trigger on updates)
--   sql.defaults.optimizer_use_histograms.enabled = true  (default value for optimizer_use_histograms session setting; enables usage of histograms in the optimizer by default)
--   sql.defaults.optimizer_use_multicol_stats.enabled = true  (default value for optimizer_use_multicol_stats session setting; enables usage of multi-column stats in the optimizer by default)
--   sql.defaults.override_alter_primary_region_in_super_region.enabled = false  (default value for override_alter_primary_region_in_super_region; allows for altering the primary region even if the primary region is a member of a super region)
--   sql.defaults.override_multi_region_zone_config.enabled = false  (default value for override_multi_region_zone_config; allows for overriding the zone configs of a multi-region table or database)
--   sql.defaults.prefer_lookup_joins_for_fks.enabled = false  (default value for prefer_lookup_joins_for_fks session setting; causes foreign key operations to use lookup joins when possible)
--   sql.defaults.primary_region =   (if not empty, all databases created without a PRIMARY REGION will implicitly have the given PRIMARY REGION)
--   sql.defaults.propagate_input_ordering.enabled = false  (default value for the experimental propagate_input_ordering session variable)
--   sql.defaults.reorder_joins_limit = 8  (default number of joins to reorder)
--   sql.defaults.require_explicit_primary_keys.enabled = false  (default value for requiring explicit primary keys in CREATE TABLE statements)
--   sql.defaults.results_buffer.size = 16 KiB  (default size of the buffer that accumulates results for a statement or a batch of statements before they are sent to the client. This can be overridden on an individual connection with the 'results_buffer_size' parameter. Note that auto-retries generally only happen while no results have been delivered to the client, so reducing this size can increase the number of retriable errors a client receives. On the other hand, increasing the buffer size can increase the delay until the client receives the first result row. Updating the setting only affects new connections. Setting to 0 disables any buffering.)
--   sql.defaults.serial_normalization = rowid  (default handling of SERIAL in table definitions [rowid = 0, virtual_sequence = 1, sql_sequence = 2, sql_sequence_cached = 3, unordered_rowid = 4])
--   sql.defaults.serial_sequences_cache_size = 256  (the default cache size when the session's serial normalization mode is set to cached sequencesA cache size of 1 means no caching. Any cache size less than 1 is invalid.)
--   sql.defaults.statement_timeout = 0s  (default value for the statement_timeout; default value for the statement_timeout session setting; controls the duration a query is permitted to run before it is canceled; if set to 0, there is no timeout)
--   sql.defaults.stub_catalog_tables.enabled = true  (default value for stub_catalog_tables session setting)
--   sql.defaults.super_regions.enabled = false  (default value for enable_super_regions; allows for the usage of super regions)
--   sql.defaults.transaction_rows_read_err = 0  (the limit for the number of rows read by a SQL transaction which - once exceeded - will fail the transaction (or will trigger a logging event to SQL_INTERNAL_PERF for internal transactions); use 0 to disable)
--   sql.defaults.transaction_rows_read_log = 0  (the threshold for the number of rows read by a SQL transaction which - once exceeded - will trigger a logging event to SQL_PERF (or SQL_INTERNAL_PERF for internal transactions); use 0 to disable)
--   sql.defaults.transaction_rows_written_err = 0  (the limit for the number of rows written by a SQL transaction which - once exceeded - will fail the transaction (or will trigger a logging event to SQL_INTERNAL_PERF for internal transactions); use 0 to disable)
--   sql.defaults.transaction_rows_written_log = 0  (the threshold for the number of rows written by a SQL transaction which - once exceeded - will trigger a logging event to SQL_PERF (or SQL_INTERNAL_PERF for internal transactions); use 0 to disable)
--   sql.defaults.use_declarative_schema_changer = on  (default value for use_declarative_schema_changer session setting;disables new schema changer by default [off = 0, on = 1, unsafe = 2, unsafe_always = 3])
--   sql.defaults.vectorize = on  (default vectorize mode [on = 0, on = 2, experimental_always = 3, off = 4])
--   sql.defaults.zigzag_join.enabled = true  (default value for enable_zigzag_join session setting; allows use of zig-zag join by default)
--   sql.distsql.acquire_vec_fds.max_retries = 8  (determines the number of retries performed during the acquisition of file descriptors needed for disk-spilling operations, set to 0 for unlimited retries)
--   sql.distsql.drain.cancel_after_wait.enabled = true  (determines whether queries that are still running on a node being drained are forcefully canceled after waiting the 'server.shutdown.query_wait' period)
--   sql.distsql.flow_scheduler_queueing.enabled = false  (determines whether the flow scheduler imposes the limit on the maximum number of concurrent remote DistSQL flows that a single node can have (the limit is determined by the sql.distsql.max_running_flows setting))
--   sql.distsql.flow_stream_timeout = 10s  (amount of time incoming streams wait for a flow to be set up before erroring out)
--   sql.distsql.index_join_streamer.batch_size = 8.0 MiB  (size limit on the input rows to construct a single lookup KV batch (by the ColIndexJoin operator when using the Streamer API))
--   sql.distsql.join_reader_index_join_strategy.batch_size = 4.0 MiB  (size limit on the input rows to construct a single lookup KV batch (by the joinReader processor and the ColIndexJoin operator (when the latter doesn't use the Streamer API)))
--   sql.distsql.join_reader_no_ordering_strategy.batch_size = 2.0 MiB  (size limit on the input rows to construct a single lookup KV batch)
--   sql.distsql.join_reader_ordering_strategy.batch_size = 100 KiB  (size limit on the input rows to construct a single lookup KV batch)
--   sql.distsql.max_running_flows = -128  (the value - when positive - used as is, or the value - when negative - multiplied by the number of CPUs on a node, to determine the maximum number of concurrent remote flows that can be run on the node)
--   sql.distsql.num_runners = 32  (determines the number of DistSQL runner goroutines used for issuing SetupFlow RPCs)
--   sql.distsql.parallelize_multi_key_lookup_joins.enabled = true  (determines whether KV batches are executed in parallel for lookup joins in all cases. Enabling this will increase the speed of lookup joins when each input row might get multiple looked up rows at the cost of increased memory usage.)
--   sql.distsql.streamer.avg_response_size_multiple = 1.5  (determines the multiple used when calculating the average response size by the streamer component)
--   sql.distsql.temp_storage.hash_agg.enabled = true  (set to false to disable hash aggregator disk spilling (this will improve performance, but the query might hit the memory limit))
--   sql.distsql.temp_storage.workmem = 64 MiB  (maximum amount of memory in bytes a processor can use before falling back to temp storage)
--   sql.distsql.use_streamer.enabled = false  (determines whether the usage of the Streamer API is allowed. Enabling this will increase the speed of lookup/index joins while adhering to memory limits.)
--   sql.distsql.vectorize_render_wrapping.max_row_count = 128  (determines the maximum number of estimated rows that flow through the render expressions up to which we handle those renders by wrapping a row-by-row processor)
--   sql.distsql.vectorize_render_wrapping.min_render_count = 16  (determines the minimum number of render expressions for which we fall back to handling renders by wrapping a row-by-row processor)
--   sql.gc_job.idle_wait_duration = 1s  (after this duration of waiting for an update, the gc job will mark itself idle)
--   sql.gc_job.wait_for_gc.interval = 5m0s  (interval at which the GC job should poll to see if the deleted data has been GC'd)
--   sql.guardrails.max_row_size_err = 512 MiB  (maximum size of row (or column family if multiple column families are in use) that SQL can write to the database, above which an error is returned; use 0 to disable)
--   sql.guardrails.max_row_size_log = 64 MiB  (maximum size of row (or column family if multiple column families are in use) that SQL can write to the database, above which an event is logged to SQL_PERF (or SQL_INTERNAL_PERF if the mutating statement was internal); use 0 to disable)
--   sql.hash_sharded_range_pre_split.max = 16  (max pre-split ranges to have when adding hash sharded index to an existing table)
--   sql.index_recommendation.drop_unused_duration = 168h0m0s  (the index unuse duration at which we begin to recommend dropping the index)
--   sql.insights.anomaly_detection.enabled = true  (enable per-fingerprint latency recording and anomaly detection)
--   sql.insights.anomaly_detection.latency_threshold = 50ms  (statements must surpass this threshold to trigger anomaly detection and identification)
--   sql.insights.anomaly_detection.memory_limit = 1.0 MiB  (the maximum amount of memory allowed for tracking statement latencies)
--   sql.insights.execution_insights_capacity = 1000  (the size of the per-node store of execution insights)
--   sql.insights.high_retry_count.threshold = 10  (the number of retries a slow statement must have undergone for its high retry count to be highlighted as a potential problem)
--   sql.insights.latency_threshold = 100ms  (amount of time after which an executing statement is considered slow. Use 0 to disable.)
--   sql.local_scans.concurrency_limit = 1024  (maximum number of additional goroutines for performing scans in local plans)
--   sql.log.admin_audit.enabled = false  (when set, log SQL queries that are executed by a user with admin privileges)
--   sql.log.slow_query.experimental_full_table_scans.enabled = false  (when set to true, statements that perform a full table/index scan will be logged to the slow query log even if they do not meet the latency threshold. Must have the slow query log enabled for this setting to have any effect.)
--   sql.log.slow_query.internal_queries.enabled = false  (when set to true, internal queries which exceed the slow query log threshold are logged to a separate log. Must have the slow query log enabled for this setting to have any effect.)
--   sql.log.slow_query.latency_threshold = 0s  (when set to non-zero, log statements whose service latency exceeds the threshold to a secondary logger on each node)
--   sql.log.unstructured_entries.enabled = false  (when set, SQL execution and audit logs use the pre-v21.1 unstrucured format)
--   sql.metrics.index_usage_stats.enabled = true  (collect per index usage statistics)
--   sql.metrics.max_mem_reported_stmt_fingerprints = 100000  (the maximum number of reported statement fingerprints stored in memory)
--   sql.metrics.max_mem_reported_txn_fingerprints = 100000  (the maximum number of reported transaction fingerprints stored in memory)
--   sql.metrics.max_mem_stmt_fingerprints = 100000  (the maximum number of statement fingerprints stored in memory)
--   sql.metrics.max_mem_txn_fingerprints = 100000  (the maximum number of transaction fingerprints stored in memory)
--   sql.metrics.max_stmt_fingerprints_per_explicit_txn = 2000  (the maximum number of statement fingerprints stored per explicit transaction)
--   sql.metrics.statement_details.dump_to_logs = false  (dump collected statement statistics to node logs when periodically cleared)
--   sql.metrics.statement_details.enabled = true  (collect per-statement query statistics)
--   sql.metrics.statement_details.gateway_node.enabled = true  (save the gateway node for each statement fingerprint. If false, the value will be stored as 0.)
--   sql.metrics.statement_details.index_recommendation_collection.enabled = true  (generate an index recommendation for each fingerprint ID)
--   sql.metrics.statement_details.max_mem_reported_idx_recommendations = 5000  (the maximum number of reported index recommendation info stored in memory)
--   sql.metrics.statement_details.plan_collection.enabled = false  (periodically save a logical plan for each fingerprint)
--   sql.metrics.statement_details.plan_collection.period = 5m0s  (the time until a new logical plan is collected)
--   sql.metrics.statement_details.threshold = 0s  (minimum execution time to cause statement statistics to be collected. If configured, no transaction stats are collected.)
--   sql.metrics.transaction_details.enabled = true  (collect per-application transaction statistics)
--   sql.metrics.transaction_details.max_statement_ids = 1000  (max number of statement fingerprint IDs to store for transaction statistics)
--   sql.multi_region.allow_abstractions_for_secondary_tenants.enabled = false  (allow secondary tenants to use multi-region abstractions)
--   sql.multiple_modifications_of_table.enabled = true  (if true, allow statements containing multiple INSERT ON CONFLICT, UPSERT, UPDATE, or DELETE subqueries modifying the same table, at the risk of data corruption if the same row is modified multiple times by a single statement (multiple INSERT subqueries without ON CONFLICT cannot cause corruption and are always allowed))
--   sql.multiregion.drop_primary_region.enabled = true  (allows dropping the PRIMARY REGION of a database if it is the last region)
--   sql.mutations.mutation_batch_byte_size = 4.0 MiB  (byte size - in key and value lengths -- for mutation batches)
--   sql.notices.enabled = true  (enable notices in the server/client protocol being sent)
--   sql.optimizer.uniqueness_checks_for_gen_random_uuid.enabled = false  (if enabled, uniqueness checks may be planned for mutations of UUID columns updated with gen_random_uuid(); otherwise, uniqueness is assumed due to near-zero collision probability)
--   sql.query_cache.enabled = true  (enable the query cache)
--   sql.schema.telemetry.recurrence = @weekly  (cron-tab recurrence for SQL schema telemetry job)
--   sql.session_transfer.max_session_size = 0 B  (if set to non-zero, then serializing a session will fail if it requires morethan the specified size)
--   sql.show_tables.estimated_row_count.enabled = true  (whether the estimated_row_count is shown on SHOW TABLES. Turning this off will improve SHOW TABLES performance.)
--   sql.spatial.experimental_box2d_comparison_operators.enabled = false  (enables the use of certain experimental box2d comparison operators)
--   sql.stats.aggregation.interval = 1h0m0s  (the interval at which we aggregate SQL execution statistics upon flush, this value must be greater than or equal to sql.stats.flush.interval)
--   sql.stats.associate_stmt_with_txn_fingerprint.enabled = true  (whether to segment per-statement query statistics by transaction fingerprint)
--   sql.stats.automatic_collection.enabled = false  (automatic statistics collection mode)
--   sql.stats.automatic_collection.fraction_stale_rows = 0.2  (target fraction of stale rows per table that will trigger a statistics refresh)
--   sql.stats.automatic_collection.max_fraction_idle = 0.9  (maximum fraction of time that automatic statistics sampler processors are idle)
--   sql.stats.automatic_collection.min_stale_rows = 500  (target minimum number of stale rows per table that will trigger a statistics refresh)
--   sql.stats.cleanup.recurrence = @hourly  (cron-tab recurrence for SQL Stats cleanup job)
--   sql.stats.cleanup.rows_to_delete_per_txn = 1024  (number of rows the compaction job deletes from system table per iteration)
--   sql.stats.flush.enabled = true  (if set, SQL execution statistics are periodically flushed to disk)
--   sql.stats.flush.force_cleanup.enabled = false  (if set, older SQL stats are discarded periodically when flushing to persisted tables is disabled)
--   sql.stats.flush.interval = 10m0s  (the interval at which SQL execution statistics are flushed to disk, this value must be less than or equal to sql.stats.aggregation.interval)
--   sql.stats.flush.jitter = 0.15  (jitter fraction on the duration between sql stats flushes)
--   sql.stats.flush.minimum_interval = 0s  (the minimum interval that SQL stats can be flushes to disk. If a flush operation starts within less than the minimum interval, the flush operation will be aborted)
--   sql.stats.forecasts.enabled = true  (when true, enables generation of statistics forecasts by default for all tables)
--   sql.stats.histogram_collection.enabled = true  (histogram collection mode)
--   sql.stats.max_timestamp_age = 5m0s  (maximum age of timestamp during table statistics collection)
--   sql.stats.multi_column_collection.enabled = true  (multi-column statistics collection mode)
--   sql.stats.non_default_columns.min_retention_period = 24h0m0s  (minimum retention period for table statistics collected on non-default columns)
--   sql.stats.persisted_rows.max = 1000000  (maximum number of rows of statement and transaction statistics that will be persisted in the system tables)
--   sql.stats.post_events.enabled = false  (if set, an event is logged for every CREATE STATISTICS job)
--   sql.stats.response.max = 20000  (the maximum number of statements and transaction stats returned in a CombinedStatements request)
--   sql.stats.response.show_internal.enabled = false  (controls if statistics for internal executions should be returned by the CombinedStatements and if internal sessions should be returned by the ListSessions endpoints. These endpoints are used to display statistics on the SQL Activity pages)
--   sql.stats.system_tables.enabled = true  (when true, enables use of statistics on system tables by the query optimizer)
--   sql.stats.system_tables_autostats.enabled = true  (when true, enables automatic collection of statistics on system tables)
--   sql.stmt_diagnostics.bundle_chunk_size = 1.0 MiB  (chunk size for statement diagnostic bundles)
--   sql.stmt_diagnostics.collect_continuously.enabled = false  (collect diagnostic bundles continuously until request expiration (to be used with care, only has an effect if the diagnostic request has an expiration and a sampling probability set))
--   sql.stmt_diagnostics.poll_interval = 10s  (rate at which the stmtdiagnostics.Registry polls for requests, set to zero to disable)
--   sql.tablecache.lease.refresh_limit = 500  (maximum number of descriptors to periodically refresh leases for)
--   sql.telemetry.capture_index_usage_stats.check_enabled_interval = 10m0s  (the scheduled interval time between checks to see if index usage statistics has been enabled)
--   sql.telemetry.capture_index_usage_stats.enabled = true  (enable/disable capturing index usage statistics to the telemetry logging channel)
--   sql.telemetry.capture_index_usage_stats.interval = 8h0m0s  (the scheduled interval time between capturing index usage statistics when capturing index usage statistics is enabled)
--   sql.telemetry.capture_index_usage_stats.logging_delay = 500ms  (the time delay between emitting individual index usage stats logs, this is done to mitigate the log-line limit of 10 logs per second on the telemetry pipeline)
--   sql.telemetry.query_sampling.enabled = false  (when set to true, executed queries will emit an event on the telemetry logging channel)
--   sql.telemetry.query_sampling.max_event_frequency = 8  (the max event frequency at which we sample queries for telemetry, note that this value shares a log-line limit of 10 logs per second on the telemetry pipeline with all other telemetry events)
--   sql.temp_object_cleaner.cleanup_interval = 30m0s  (how often to clean up orphaned temporary objects)
--   sql.temp_object_cleaner.wait_interval = 30m0s  (how long after creation a temporary object will be cleaned up)
--   sql.trace.log_statement_execute = false  (set to true to enable logging of executed statements)
--   sql.trace.session_eventlog.enabled = false  (set to true to enable session tracing; note that enabling this may have a negative performance impact)
--   sql.trace.stmt.enable_threshold = 0s  (enables tracing on all statements; statements executing for longer than this duration will have their trace logged (set to 0 to disable); note that enabling this may have a negative performance impact; this setting applies to individual statements within a transaction and is therefore finer-grained than sql.trace.txn.enable_threshold)
--   sql.trace.txn.enable_threshold = 0s  (enables tracing on all transactions; transactions open for longer than this duration will have their trace logged (set to 0 to disable); note that enabling this may have a negative performance impact; this setting is coarser-grained than sql.trace.stmt.enable_threshold because it applies to all statements within a transaction as well as client communication (e.g. retries))
--   sql.truncate.preserved_split_count_multiple = 4  (set to non-zero to cause TRUNCATE to preserve range splits from the table's indexes. The multiple given will be multiplied with the number of nodes in the cluster to produce the number of preserved range splits. This can improve performance when truncating a table with significant write traffic.)
--   sql.ttl.default_delete_batch_size = 100  (default amount of rows to delete in a single query during a TTL job)
--   sql.ttl.default_delete_rate_limit = 0  (default delete rate limit for all TTL jobs. Use 0 to signify no rate limit.)
--   sql.ttl.default_range_concurrency = 1  (default amount of ranges to process at once during a TTL delete)
--   sql.ttl.default_select_batch_size = 500  (default amount of rows to select in a single query during a TTL job)
--   sql.ttl.job.enabled = true  (whether the TTL job is enabled)
--   sql.txn_fingerprint_id_cache.capacity = 100  (the maximum number of txn fingerprint IDs stored)
--   sql.txn_stats.sample_rate = 0.01  (the probability that a given transaction will collect execution statistics (displayed in the DB Console))
--   sql.zone_configs.allow_for_secondary_tenant.enabled = false  (allow secondary tenants to set zone configurations; does not affect the system tenant)
--   storage.max_sync_duration = 20s  (maximum duration for disk operations; any operations that take longer than this setting trigger a warning log entry or process crash)
--   storage.max_sync_duration.fatal.enabled = true  (if true, fatal the process when a disk operation exceeds storage.max_sync_duration)
--   storage.mvcc.max_intents_per_error = 5000  (maximum number of intents returned in error during export of scan requests)
--   storage.mvcc.range_tombstones.enabled = false  (if true, enable the use of MVCC range tombstones)
--   storage.transaction.local_timestamps.enabled = true  (if enabled, MVCC keys will be written with local timestamps)
--   stream_replication.consumer_heartbeat_frequency = 30s  (controls frequency the stream replication destination cluster sends heartbeat to the source cluster to keep the stream alive)
--   stream_replication.job_checkpoint_frequency = 10s  (controls the frequency with which partitions update their progress; if 0, disabled.)
--   stream_replication.job_liveness_timeout = 1m0s  (controls how long we wait for to kill an inactive producer job)
--   stream_replication.min_checkpoint_frequency = 10s  (controls minimum frequency the stream replication source cluster sends checkpoints to the destination cluster.)
--   stream_replication.stream_liveness_track_frequency = 1m0s  (controls how frequent we check for the liveness of a replication stream producer job)
--   tenant_cost_control_period = 10s  (target duration between token bucket requests from tenants (requires restart))
--   tenant_cost_model.external_io_egress_per_mebibyte = 1024  (cost of a write to external storage in Request Units per MiB)
--   tenant_cost_model.external_io_ingress_per_mebibyte = 0  (cost of a read from external storage in Request Units per MiB)
--   tenant_cost_model.pgwire_egress_cost_per_mebibyte = 1024  (cost of client <-> SQL ingress/egress per MiB)
--   tenant_cost_model.read_batch_cost = 0.5  (base cost of a read batch in Request Units)
--   tenant_cost_model.read_payload_cost_per_mebibyte = 16  (cost of a read payload in Request Units per MiB)
--   tenant_cost_model.read_request_cost = 0.125  (base cost of a read request in Request Units)
--   tenant_cost_model.sql_cpu_second_cost = 333.3333  (cost of a CPU-second in SQL pods in Request Units)
--   tenant_cost_model.write_batch_cost = 1  (base cost of a write batch in Request Units)
--   tenant_cost_model.write_payload_cost_per_mebibyte = 1024  (cost of a write payload in Request Units per MiB)
--   tenant_cost_model.write_request_cost = 1  (base cost of a write request in Request Units)
--   tenant_cpu_usage_allowance = 10ms  (this much CPU usage per second is considered background usage and doesn't contribute to consumption; for example, if it is set to 10ms, that corresponds to 1% of a CPU)
--   tenant_external_io_default_bytes_allowed_before_accounting = 16777216  (controls how many bytes will be read/written before blocking for RUs when writing to external storage in a tenant)
--   tenant_external_io_ru_accounting_mode = on  (controls how external IO RU accounting behaves; allowed values are 'on' (external IO RUs are accounted for and callers wait for RUs), 'nowait' (external IO RUs are accounted for but callers do not wait for RUs), and 'off' (no external IO RU accounting))
--   tenant_usage_instance_inactivity = 1m0s  (instances that have not reported consumption for longer than this value are cleaned up; should be at least four times higher than the tenant_cost_control_period of any tenant)
--   timeseries.storage.enabled = true  (if set, periodic timeseries data is stored within the cluster; disabling is not recommended unless you are storing the data elsewhere)
--   timeseries.storage.resolution_10s.ttl = 240h0m0s  (the maximum age of time series data stored at the 10 second resolution. Data older than this is subject to rollup and deletion.)
--   timeseries.storage.resolution_30m.ttl = 2160h0m0s  (the maximum age of time series data stored at the 30 minute resolution. Data older than this is subject to deletion.)
--   trace.debug.enable = false  (if set, traces for recent requests can be seen at https://<ui>/debug/requests)
--   trace.jaeger.agent =   (the address of a Jaeger agent to receive traces using the Jaeger UDP Thrift protocol, as <host>:<port>. If no port is specified, 6381 will be used.)
--   trace.opentelemetry.collector =   (address of an OpenTelemetry trace collector to receive traces using the otel gRPC protocol, as <host>:<port>. If no port is specified, 4317 will be used.)
--   trace.redactable.enabled = false  (set to true to enable redactability for unstructured events in traces and to redact traces sent to tenants. Set to false to coarsely mark unstructured events as redactable  and eliminate them from tenant traces.)
--   trace.span_registry.enabled = true  (if set, ongoing traces can be seen at https://<ui>/#/debug/tracez)
--   trace.zipkin.collector =   (the address of a Zipkin instance to receive traces, as <host>:<port>. If no port is specified, 9411 will be used.)
--   version = 1000022.1-76  (set the active cluster version in the format '<major>.<minor>')
